Bug 126649 - Search tooltips should use the word "search" instead of "filter"
Summary: Search tooltips should use the word "search" instead of "filter"
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-03 02:14 UTC by Christie
Modified: 2006-12-27 19:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christie 2006-05-03 02:14:06 UTC
Version:           1.4-svn (using KDE KDE 3.5.2)
Installed from:    Compiled From Sources
Compiler:          gcc 4.0.3 
OS:                Linux

a) it's a filter, not a search
b) the word is positioned in the wrong place anyway


By the same reasoning, the word "search" used in the filler text in the filter boxes should probably be changed to "filter" to better reflect the function of these boxes.
Comment 1 Mark Kretschmann 2006-05-03 07:53:15 UTC
The label is important because it provides a keyboard shortcut (alt-e) for focusing. That's the main purpose.

> a) it's a filter, not a search

It used to be called filter, but we changed it to search because search is a much less technical term, and it still fits OK. Everyone knows searching, think Google. But filter really is a scientifc term. Most common people associate coffee filters with this word.



Comment 2 Christie 2006-05-03 08:31:29 UTC
In that case... someone should take a hard look at the tooltips ;) They *all* refer to filters, not searching.
That is, the tooltips for the main playlist search bar, the word "Search" and the "clear filter" button, as well as the search bar and clear buttons on the context browser and files browser.
Comment 3 Shane King 2006-05-03 11:48:17 UTC
You're right, they do use the word filter. I'll rename the bug appropriately and reopen. It's a pity there's a string freeze at the moment and so we can't fix this for 1.4.0.
Comment 4 Christie 2006-09-04 02:45:47 UTC
marked as resolved due to lack of interest, even though it's still inconsistent, especially the collection "search" bar tooltip.
Comment 5 Mark Kretschmann 2006-09-04 09:25:38 UTC
I think this report is still valid, as long as the tooltips aren't fixed.
Comment 6 Alexandre Oliveira 2006-12-27 19:53:03 UTC
SVN commit 617018 by aoliveira:

Change filter to search, as disscussed on bug 126649
BUG: 126649



 M  +6 -6      collectionbrowser.cpp  
 M  +3 -3      covermanager.cpp  
 M  +2 -2      filebrowser.cpp  
 M  +1 -1      mediabrowser.cpp  
 M  +3 -3      playlistwindow.cpp  
 M  +1 -1      statistics.cpp  


--- trunk/extragear/multimedia/amarok/src/collectionbrowser.cpp #617017:617018
@@ -106,8 +106,8 @@
         m_searchEdit->setFrame( QFrame::Sunken );
         connect( button, SIGNAL( clicked() ), SLOT( slotClearFilter() ) );
 
-        QToolTip::add( button, i18n( "Clear filter" ) );
-        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to filter collection" ) );
+        QToolTip::add( button, i18n( "Clear search field" ) );
+        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to search in the collection" ) );
     } //</Search LineEdit>
 
 
@@ -1629,7 +1629,7 @@
 {
     // Set the indicator
     m_organizingFileCancelled = true;
-    
+
     // Cancel the current underlying CollectionDB::instance()->moveFile operation
     CollectionDB::instance()->cancelMovingFileJob();
 }
@@ -1866,8 +1866,8 @@
     blockSignals( true );
     clearSelection();
 
-    QMap<QListViewItem*, CoverFetcher*> *itemCoverMap = CollectionDB::instance()->getItemCoverMap(); 
-    QMutex* itemCoverMapMutex = CollectionDB::instance()->getItemCoverMapMutex(); 
+    QMap<QListViewItem*, CoverFetcher*> *itemCoverMap = CollectionDB::instance()->getItemCoverMap();
+    QMutex* itemCoverMapMutex = CollectionDB::instance()->getItemCoverMapMutex();
     QListViewItem *c = firstChild();
     QListViewItem *n;
     itemCoverMapMutex->lock();
@@ -3388,7 +3388,7 @@
         QSimpleRichText t( i18n(
                 "<div align=center>"
                   "<h3>Flat-View Mode</h3>"
-                    "To enable the Flat-View mode, please enter search terms in the filter line above."
+                    "To enable the Flat-View mode, please enter search terms in the search line above."
                 "</div>" ), QApplication::font() );
 
         t.setWidth( width() - 50 );
--- trunk/extragear/multimedia/amarok/src/covermanager.cpp #617017:617018
@@ -59,7 +59,7 @@
 static QString artistToSelectInInitFunction;
 CoverManager *CoverManager::s_instance = 0;
 
-class ArtistItem : public KListViewItem 
+class ArtistItem : public KListViewItem
 {
     public:
     ArtistItem(QListView *view, QListViewItem *item, const QString &text)
@@ -149,8 +149,8 @@
         searchToolBar->setStretchableWidget( m_searchEdit );
         connect( button, SIGNAL(clicked()), m_searchEdit, SLOT(clear()) );
 
-        QToolTip::add( button, i18n( "Clear filter" ) );
-        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to filter albums" ) );
+        QToolTip::add( button, i18n( "Clear search field" ) );
+        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to search in the albums" ) );
 
         hbox->setStretchFactor( searchBox, 1 );
     } //</Search LineEdit>
--- trunk/extragear/multimedia/amarok/src/filebrowser.cpp #617017:617018
@@ -106,8 +106,8 @@
 
         connect( button, SIGNAL(clicked()), m_filter, SLOT(clear()) );
 
-        QToolTip::add( button, i18n( "Clear filter" ) );
-        QToolTip::add( m_filter, i18n( "Enter space-separated terms to filter the directory-listing" ) );
+        QToolTip::add( button, i18n( "Clear search field" ) );
+        QToolTip::add( m_filter, i18n( "Enter space-separated terms to search in the directory-listing" ) );
     }
 
     { //Directory Listing
--- trunk/extragear/multimedia/amarok/src/mediabrowser.cpp #617017:617018
@@ -281,7 +281,7 @@
         connect( button, SIGNAL( clicked() ), m_searchEdit, SLOT( clear() ) );
 
         QToolTip::add( button, i18n( "Clear filter" ) );
-        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to filter" ) );
+        QToolTip::add( m_searchEdit, i18n( "Enter space-separated terms to search" ) );
     } //</Search LineEdit>
 
     connect( m_timer, SIGNAL( timeout() ), SLOT( slotSetFilter() ) );
--- trunk/extragear/multimedia/amarok/src/playlistwindow.cpp #617017:617018
@@ -277,7 +277,7 @@
         bar->boxLayout()->addStretch();
         QWidget *button = new KToolBarButton( "locationbar_erase", 1, bar );
         QLabel *filter_label = new QLabel( i18n("S&earch:") + ' ', bar );
-        m_lineEdit = new ClickLineEdit( i18n( "Playlist Filter" ), bar );
+        m_lineEdit = new ClickLineEdit( i18n( "Playlist Search" ), bar );
 
         filter_label->setBuddy( m_lineEdit );
 
@@ -289,8 +289,8 @@
 
         connect( button, SIGNAL(clicked()), m_lineEdit, SLOT(clear()) );
 
-        QToolTip::add( button, i18n( "Clear filter" ) );
-        QString filtertip = i18n( "Enter space-separated terms to filter the playlist.\n\n"
+        QToolTip::add( button, i18n( "Clear search field" ) );
+        QString filtertip = i18n( "Enter space-separated terms to search in the playlist.\n\n"
                                   "Advanced, Google-esque syntax is also available;\n"
                                   "see the handbook (The Playlist section of chapter 4) for details." );
 
--- trunk/extragear/multimedia/amarok/src/statistics.cpp #617017:617018
@@ -86,7 +86,7 @@
         connect( m_lineEdit, SIGNAL( textChanged( const QString& ) ), SLOT( slotSetFilterTimeout() ) );
         connect( m_lineEdit, SIGNAL( returnPressed() )              , SLOT( slotSetFilter() ) );
 
-        QToolTip::add( button, i18n( "Clear filter" ) );
+        QToolTip::add( button, i18n( "Clear search field" ) );
     } //</Search LineEdit>
 
     m_listView = new StatisticsList( box );